package org.jtiger.samples;

import org.jtiger.framework.Test;
import static org.jtiger.assertion.Basic.assertEqual;
import static org.jtiger.assertion.Basic.assertTrue;

public final class PreferredAssertionTestFixture
{
    @Test
    public void preferredTestCase()
    {
        // assert that two plus two equals four.
        // preferred.
        assertEqual(4, 2 + 2);
    }

    @Test
    public void notPreferredTestCase()
    {
        // assert that two plus two equals four.
        // not preferred.
        assertTrue(2 + 2 == 4);
    }
}