/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

import java.text.MessageFormat;
import java.util.ResourceBundle;

final class DefaultFixtureResultsHandlerMessage
{
    public static final String BUNDLE = "org/jtiger/framework/DefaultFixtureResultsHandlerMessage";

    private DefaultFixtureResultsHandlerMessage()
    {

    }

    public static String message(final int successes, final int failures, final int ignored)
    {
        return MessageFormat.format(
                ResourceBundle.getBundle(BUNDLE).getString("message"),
                successes, failures, ignored);
    }
}
