/**
 * Provides framework implementations for executing <a href="http://www.junit.org/" target="_blank">JUnit</a> test case fixtures.
 * In order to use the JUnit {@link org.jtiger.framework.junit.JUnitSetUpTearDown set up/tear down implementation}, it's
 * <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html">Class</a> must be returned from
 * {@link org.jtiger.framework.FixturesRunnerConfig#getSutdClass()} or in the case of execution at the command line,
 * passed using {@link org.jtiger.framework.FixturesRunnerMain#ARG_SUTD_CLASS a command line argument}.
 * In order to use the JUnit {@link org.jtiger.framework.junit.JUnitTestDefinition set up/tear down implementation},
 * it's <a href="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html">Class</a> must be returned from
 * {@link org.jtiger.framework.FixturesRunnerConfig#getDefinitionClass()}} or in the case of execution at the command
 * line, passed using {@link org.jtiger.framework.FixturesRunnerMain#ARG_DEFINITION_CLASS a command line argument}.
 */
package org.jtiger.framework.junit;

