/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.report.xml;

import java.io.Serializable;

interface TestResultBean extends Serializable
{
    String getTestResult();
    void setTestResult(String testResult);
    String getMessage();
    void setMessage(String message);
    Throwable getException();
    void setException(Throwable exception);
    Long getElapsedTime();
    void setElapsedTime(Long elapsedTime);
    String[] getCategories();
    void setCategories(String[] categories);
    String getTestName();
    void setTestName(String testName);
    String getTestDescription();
    void setTestDescription(String testDescription);
    String getTestMethodName();
    void setTestMethodName(String testMethodName);
    String getFixtureName();
    void setFixtureName(String fixtureName);
    String getFixtureDescription();
    void setFixtureDescription(String fixtureDescription);
    Class<?> getFixtureClass();
    void setFixtureClass(Class<?> fixtureClass);
}
