<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:xalan="http://xml.apache.org/xslt">
	   
   	<xsl:output method="html" omit-xml-declaration="yes" />

	<xsl:template match="/java">
		<html>
		    <head>
		        <title>
		            JTiger Test Fixtures
		        </title>
		    </head>
		    <body bgcolor="#F0FFFF" text="#000000">
		        <p>
		            <a href="overall.html" target="main">
		                <font face="Verdana, Arial, Helvetica, sans-serif">
		                    <b>
		                        Overall Test Results
		                    </b>
		                </font>
		            </a>
		        </p>		        
		        <xsl:if test="./object">
			        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
			        	<xsl:apply-templates select="./object" />
			        </font>
			    </xsl:if>
		    </body>
		</html>
	</xsl:template>
	
	<xsl:template match="object">
		<xsl:element name="a">
			<xsl:attribute name="href">
				<xsl:apply-templates select="./void[@property = 'href']" />
			</xsl:attribute>
			<xsl:attribute name="target">main</xsl:attribute>
			<xsl:apply-templates select="./void[@property = 'name']" />
		</xsl:element>
		<br />
	</xsl:template>
	
	<xsl:template match="void">
		<xsl:value-of select="./string" />		
	</xsl:template>
</xsl:stylesheet>
