/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

import org.jtiger.framework.Test;
import static org.jtiger.assertion.Basic.assertEqual;

@org.jtiger.framework.Fixture(value = "Fixture", description = "Performs Unit Tests on org.jtiger.ant.Fixture")
@org.jtiger.framework.Category("org.jtiger.ant.Fixture")
public final class TestFixture
{
    public TestFixture()
    {

    }

    @Test
    public void constructors()
    {
        new Fixture();
        final Fixture f = new Fixture("classname");
        assertEqual("classname", f.getClassname());
    }

    @Test
    public void classname()
    {
        final Fixture f = new Fixture();
        f.setClassname("classname");
        assertEqual("classname", f.getClassname());
    }
}
