/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.ant;

import static org.jtiger.assertion.Basic.assertEqual;
import org.jtiger.framework.Test;

@org.jtiger.framework.Fixture(value = "Param", description = "Performs Unit Tests on org.jtiger.ant.Param")
@org.jtiger.framework.Category("org.jtiger.ant.Param")
public final class TestParam
{
    public TestParam()
    {

    }

    @Test
    public void value()
    {
        new Param();
        final Param p = new Param();
        p.setValue("value");
        assertEqual("value", p.getValue());
    }
}
