/**
 * Provides an <a href="http://ant.apache.org//manual/using.html#tasks" target="_blank">Apache Ant task</a> for performing a test
 * execution run from an Ant build file.
 * In order to use {@link org.jtiger.ant.JTigerTask the Ant task} from an Ant build file, an
 * <a href="http://ant.apache.org//manual/CoreTasks/taskdef.html" target="_blank">Ant task definition</a> is created to point to the
 * task class.
 * Example:
 * <br/>
 * <code>
 * &lt;taskdef name="jtiger" classname="org.jtiger.ant.JTigerTask" classpathref="project.class.path"/&gt;
 * </code>
 */
package org.jtiger.ant;

