/*
 * JTiger Unit Testing Framework for J2SE 1.5
 * Copyright (C) 2005 Tony Morris
 *
 * This software is licenced under the
 * Common Public Licence version 1.0
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * You received a copy of this licence with this software.
 */
package org.jtiger.framework;

interface FixtureRunner
{
    FixtureResult run(Class<?> fixtureClass,
                      Class<? extends TestDefinition> definitionClass,
                      Class<? extends SetUpTearDown> sutdClass,
                      boolean haltOnFailure,
                      ReadOnlyArray<String> categories)
            throws RunnerException;
}
